GNU bug report logs - #50984
28.0.60; define-child-mode warnings in semantic/bovine/el.el and semantic/bovine/c.el

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Stefan Kangas <stefan@HIDDEN>; merged with #50898; dated Sat, 2 Oct 2021 23:00:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 50898 50984. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50984 <at> debbugs.gnu.org:


Received: (at 50984) by debbugs.gnu.org; 3 Oct 2021 09:13:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 03 05:13:28 2021
Received: from localhost ([127.0.0.1]:32783 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWxYl-0000Dg-T5
	for submit <at> debbugs.gnu.org; Sun, 03 Oct 2021 05:13:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:45816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mWxYk-0000DP-6I
 for 50984 <at> debbugs.gnu.org; Sun, 03 Oct 2021 05:13:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=vLoFeoi0aK3UsFf6GAjnBnPvTCG6JEJluWbmnvpKIEQ=; b=uoIBPBSQhdQdWDL+jIF1fIznP+
 RWHJm0METDEDx9pmw6aNg8hVdyi7OluVcf138wRy5Qef/wprJwJG4sxklNZE3Qm+2G8dc4y7rjbd2
 DS3xMXz2uC2VKDxmBiTl538wQ8M/wpS2c0yC+WjP0NMq3e/bQJo6jkgr78lWi9wcCJ2o=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mWxYb-00057a-KT; Sun, 03 Oct 2021 11:13:20 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#50984: 28.0.60; define-child-mode warnings in
 semantic/bovine/el.el and semantic/bovine/c.el
References: <CADwFkm=jgSOPN6Dj0HHHPJwZvqno-yNXxxWLssn2CUpt3fUUpQ@HIDDEN>
X-Now-Playing: Cat Power's _You Are Free_: "Babydoll"
Date: Sun, 03 Oct 2021 11:13:17 +0200
In-Reply-To: <CADwFkm=jgSOPN6Dj0HHHPJwZvqno-yNXxxWLssn2CUpt3fUUpQ@HIDDEN>
 (Stefan Kangas's message of "Sun, 3 Oct 2021 00:59:33 +0200")
Message-ID: <87zgrqsc7m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > In toplevel form:
 > cedet/semantic/bovine/el.el:931:1: Warning: `define-child-mode' is an
 obsolete
 > macro (as of 27.1); use `define-derived-mode' instead. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50984
Cc: 50984 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Kangas <stefan@HIDDEN> writes:

> In toplevel form:
> cedet/semantic/bovine/el.el:931:1: Warning: `define-child-mode' is an obsolete
>     macro (as of 27.1); use `define-derived-mode' instead.

Yup; already reported as bug#50898, so I'm merging these two.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50984; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Oct 2021 22:59:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 02 18:59:49 2021
Received: from localhost ([127.0.0.1]:60749 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mWnyu-0006z2-Ra
	for submit <at> debbugs.gnu.org; Sat, 02 Oct 2021 18:59:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:40072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mWnyu-0006yv-36
 for submit <at> debbugs.gnu.org; Sat, 02 Oct 2021 18:59:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52958)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1mWnyt-0002Ro-R6
 for bug-gnu-emacs@HIDDEN; Sat, 02 Oct 2021 18:59:47 -0400
Received: from mail-pg1-f172.google.com ([209.85.215.172]:38766)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <stefankangas@HIDDEN>)
 id 1mWnys-0003fm-4w
 for bug-gnu-emacs@HIDDEN; Sat, 02 Oct 2021 18:59:47 -0400
Received: by mail-pg1-f172.google.com with SMTP id s75so2047086pgs.5
 for <bug-gnu-emacs@HIDDEN>; Sat, 02 Oct 2021 15:59:45 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=+Jja8hOsyn0Imv/+TJ3JYh/QIpi3DQWXnSOBgc3Dtwk=;
 b=UXZHdoOIQdura8IxwdKg0ku5tF7XvoyR0EMcxYaysYpLRr3lyPjiSbeuc/HUQOlStS
 q280Wj7cOB0VdkAG8Xgny41JqXUFxEwZVPsa3rGgmvZUuXufrsQWxRNt0UXvwdbpWQ8O
 o8juom0gE4T179BJG8bZxEqO2AhQObwBGuYGdWSHz53Jqqg4Zsrlqc+a7wQiWS4UvtSl
 YBNjsWErA8R+fTE93pqh+ZLEon2yyTmok90MU8+wB8F+4iU91XeBrfVXbqNLpDCdzxnA
 m0RNTyQ9CJ93tM39QXGdFB46BzERNbcXVOLehfA6s2uTI+tidNdXnngpcxYgze378Pnl
 Ke4g==
X-Gm-Message-State: AOAM531N9l5SwMwKAedULVqF73kouFJmjgGsgDdxo2jB4PFtjxAxq/d1
 LssSilSHZDdaqyEpv1d2RdD0al671tAh+sj+dRWISv1sXVQ=
X-Google-Smtp-Source: ABdhPJyTu671V88XJoDmnzbI0cHb/oN2UCVmhVRGvdlKAss/aXE5fWEM4hQ8ZYEt7Am+qPTv3RP41y6wPXriLIlXLdg=
X-Received: by 2002:a63:f946:: with SMTP id q6mr4627238pgk.42.1633215584167;
 Sat, 02 Oct 2021 15:59:44 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Sun, 3 Oct 2021 00:59:33 +0200
Message-ID: <CADwFkm=jgSOPN6Dj0HHHPJwZvqno-yNXxxWLssn2CUpt3fUUpQ@HIDDEN>
Subject: 28.0.60; define-child-mode warnings in semantic/bovine/el.el and
 semantic/bovine/c.el
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=209.85.215.172;
 envelope-from=stefankangas@HIDDEN; helo=mail-pg1-f172.google.com
X-Spam_score_int: -13
X-Spam_score: -1.4
X-Spam_bar: -
X-Spam_report: (-1.4 / 5.0 requ) BAYES_00=-1.9,
 FREEMAIL_FORGED_FROMDOMAIN=0.249, FREEMAIL_FROM=0.001,
 HEADER_FROM_DIFFERENT_DOMAINS=0.25, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

We have these warnings on emacs-28:

In toplevel form:
cedet/semantic/bovine/el.el:931:1: Warning: `define-child-mode' is an obsolete
    macro (as of 27.1); use `define-derived-mode' instead.
In toplevel form:
cedet/semantic/bovine/c.el:55:1: Warning: `define-child-mode' is an obsolete
    macro (as of 27.1); use `define-derived-mode' instead.

I don't know when these showed up, but I guess some time in the last 6
months as I can't remember seeing them before.  They have been there
since at least late August or so.

We have discussed and fixed similar warnings in 2019:
https://lists.gnu.org/archive/html/emacs-devel/2019-11/msg00748.html




Acknowledgement sent to Stefan Kangas <stefan@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50984; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 3 Oct 2021 09:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.